g.gui.psmap(1)

NAME
g.gui.psmap - Tool for creating hardcopy map outputs.

KEYWORDS
general, GUI, printing

SYNOPSIS
g.gui.psmap
g.gui.psmap --help
g.gui.psmap [file=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

file=name
    File containing mapping instructions to load
    See ps.map manual for details

DESCRIPTION

wxGUI Cartographic Composer also called wx.psmap is a wxGUI extension which allows the user to create interactively hardcopy map outputs. This tool generates ps.map configuration file and then runs ps.map to create PostScript output. There are two modes - Draft mode for map composing and Preview mode (requires Python Imaging Library) to see how the result will look like. In draft mode map features (like legend or scalebar) are represented by a colored rectangle with a label.

Possible output files:

    •   ps.map instructions file

    •   PostScript/EPS file

    •   PDF (using ps2pdf)

Cartographic Composer enables to load in saved instructions file. Loading instruction files created by Cartographic Composer is more robust, as opposed to loading files created manually.

Currently supported ps.map instructions:

    •   paper

    •   maploc

    •   scale

    •   border

    •   raster

    •   colortable

    •   vpoints

    •   vlines

    •   vareas

    •   vlegend

    •   text

    •   scalebar

    •   mapinfo

    •   point

    •   line

    •   rectangle

    •   labels

  CARTOGRAPHIC COMPOSER TOOLBAR

Generate instructions file
    Generates and saves text file with mapping instructions.

Load instructions file
    Load text file with mapping instructions.

Page setup
    Specify paper size, margins and orientation.

Pointer
    Select object on the paper by clicking, drag the cursor while pressing the left mouse button to move it or resize object (currently only map frame) by clicking on a small black box in its bottom right corner. Double click to show object properties dialog

Pan
    Drag the pan cursor while pressing the left mouse button to move your view.

Zoom in
    Interactive zooming with the mouse in both draft and preview mode. Drawing a box or just a left click with the mouse and zoom-in cursor causes the display to zoom in so that the area defined by the box fills the display.

Zoom out
    Interactive zooming with the mouse in both draft and preview mode. Drawing a box or just a left click with the mouse and zoom-out cursor causes the display to zoom out so that the area displayed shrinks to fill the area defined by the box.

Zoom to page
    Zoom to display the entire page

Map frame
    Click and drag to place map frame. If map frame is already drawn, open a dialog to set its properties.

Raster map
    Shows a dialog to add or change the raster map.

Vector map
    Shows a dialog to add or change current vector maps and their properties:

Data selection
    Select data to draw:

Feature type
    Select which data type to draw. In case of point data, points or centroids can be drawn, in case of line data, lines or boundaries.

Layer selection
    Select layer and limit data by a SQL query or chose only certain categories.

Mask
    Whether to use mask or not.

Colors
    Color settings:

Outline
    Select outline color and width in points. In case of lines, outline means highlighting.

Fill
    Select fill color, one color for all vector elements or color from rgb column.

Size and style
    Sets size, style, symbols, pattern; depends on data type:

Symbology
    Available for point data. Choose symbol or EPS file to draw points with.

Line style
    Available for line data. Select line style (solid, dashed, ...) and the look of the ends of the line (butt, round, ...)

Pattern
    Available for areas. Choose pattern file and set the width of the pattern.

Size
    Available for point data. Choose size (number of times larger than the size in the icon file) as a single value or take the size from a map table column.

Rotation
    Available for point data. Rotate symbols counterclockwise with the given value or with the value from a map table column

Width
    Available for line data. Set line width in points or take the value from a map table column.

Add overlays
    Add overlays: vector labels, grid (not yet implemented)

Add labels
    Add vector labels created beforehand by v.label module.

Add map elements
    Add map elements: legend, scalebar, map info, text

Add legend
    Add raster or vector legend or edit their properties.

Add map info
    Add information about region, grid and scale or edit map info properties.

Add scalebar
    Add scalebar or edit its properties.

Add text
    Add text label.

Remove selected element
    Select an object and remove it. Pressing Delete key does the same.

Show preview
    Generates output and switches to Preview mode to see the result. Be patient, it can take a while.

Generate hardcopy map output in PS
    Generates hardcopy map output in PostScript/EPS file.

Generate hardcopy map output in PDF
    Generates hardcopy map output in PDF using ps2pdf.

SEE ALSO
wxGUI
wxGUI components

See also wiki page.

AUTHOR
Anna Kratochvilova, Czech Technical University in Prague, Czech Republic (bachelor’s final project 2011, mentor: Martin Landa)

SOURCE CODE

Available at: wxGUI Cartographic Composer source code (history)

Accessed: unknown

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual